.sidebar-fixed {
  height: 100vh;
  width: 270px;
    top: 0;
  -webkit-box-shadow: 0 2px 5px 0 rgba(0, 0, 0, 0.16), 0 2px 10px 0 rgba(0, 0, 0, 0.12);
  box-shadow: 0 2px 5px 0 rgba(0, 0, 0, 0.16), 0 2px 10px 0 rgba(0, 0, 0, 0.12);
  z-index: 1050;
  background-color: #fff;
  //padding: 1.5rem;
  padding-top: 0;
}

  .sidebar-fixed .list-group .active {
    -webkit-box-shadow: 0 2px 5px 0 rgba(0, 0, 0, 0.16), 0 2px 10px 0 rgba(0, 0, 0, 0.12);
    box-shadow: 0 2px 5px 0 rgba(0, 0, 0, 0.16), 0 2px 10px 0 rgba(0, 0, 0, 0.12);
    -webkit-border-radius: 5px;
    border-radius: 5px;
  }
  .sidebar-fixed .logo-wrapper {
    padding: 2.5rem;
  }
    .sidebar-fixed .logo-wrapper img {
      max-height: 50px;
    }

@media (min-width: 1200px) {
  .navbar:not(.gm-dashboard), .page-footer:not(.gm-dashboard), main:not(.gm-dashboard) {
    padding-left: 270px;
  }
}

@media (max-width: 1199.98px) {
  .sidebar-fixed {
    display: none;
  }
}


@media (max-width: 560px) {
    .card.card-cascade .form-inline input.form-control {
        max-width: 12rem;
    }
}

@media (min-width: 690px) and (max-width: 730px)  {
    .card.card-cascade .form-inline input.form-control {
        max-width: 9rem;
    }
}


.cascading-admin-card .admin-up {
    margin-left: 4%;
    margin-right: 4%;
    margin-top: -20px;
}

.cascading-admin-card .admin-up .fa, .cascading-table thead {
    box-shadow: 0 8px 17px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
}

.cascading-admin-card .admin-up .fa {
    padding: 1.7rem;
    font-size: 2rem;
    color: #fff;
    text-align: left;
    margin-right: 1rem;
    -webkit-border-radius: 3px;
    -moz-border-radius: 3px;
    -ms-border-radius: 3px;
    -o-border-radius: 3px;
    border-radius: 3px;
}

.card-cascade .card-block {
    padding-top: 1.8rem;
}
.card.cascading-admin-card .card-block {
    position: relative;
}
.card.cascading-admin-card .progress {
    box-shadow: none;
    position: relative;
    display: block;
    width: 100%;
    height: 4px;
    overflow: hidden;
    margin-bottom: 1rem;
    background-color: #eee;
}
.card.cascading-admin-card .progress .progress-bar {
    box-shadow: none;
    height: 4px;
    border-radius: 0;
    background-color: #0d47a1;
}
.card.cascading-admin-card .card-block p {
    margin-bottom: 1rem;
}

.cascading-admin-card .admin-up .data {
    float: right;
    margin-top: 2rem;
    text-align: right;
}

.deep-purple.darken-4 {
    background-color: #311b92 !important;
}
.deep-purple {
    background-color: #673ab7 !important;
}
.indigo {
    background-color: #3f51b5 !important;
}.purple {
     background-color: #9c27b0 !important;
 }



.blue-gradient {
  background: -webkit-linear-gradient(50deg,#45cafc,#303f9f) !important;
  background: linear-gradient(40deg,#45cafc,#303f9f) !important;
}

.default-gradient {
  background: -webkit-linear-gradient(50deg,#f8bbd0,#ff1744) !important;
  background: linear-gradient(40deg,#f8bbd0,#ff1744) !important;
}

.table-wrapper {
    display: block;
    max-height: 300px;
    overflow-y: auto;
    -ms-overflow-style: -ms-autohiding-scrollbar;
}


.card .form-header, .card .gradient-card-header, .view .view-cascade {
    color: #fff;
    text-align: center;
    font-size: 1em;
    margin-top: -1rem;
    margin-bottom: 2rem;
    border-radius: 2px;
    padding: 1rem;
}


.card-block .dropdown-toggle::after {
    display: inline-block;
    width: 0;
    height: 0;
    margin-left: auto;
    vertical-align: 0em;
    content: "";
    border-top: .3em solid;
    border-right: .3em solid transparent;
    border-bottom: 0;
    border-left: .3em solid transparent;
    position: absolute;
    right: 5%;
    top: 37%;
}


.btn-rounded {
    border-radius: 50% !important;
}

.btn-rounded-2 {
    border-radius: 10em;
}


.table-wrapper {
    display: block;
    height: 20rem;
    max-height: 20rem;
    overflow-y: auto;
    -ms-overflow-style: -ms-autohiding-scrollbar;
}



.md-select {
    /*Demo css do not add to your project*/
    /*
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    */
    display: block;
    margin: 0px 0 8px 0;
    padding-bottom: 2px;
    position: relative;
    min-width: 100px;
}
.md-select *, .md-select :after, .md-select :before {
    box-sizing: border-box;
}
.md-select label {
    display: block;
}
.md-select label.decorator {
    font-size: 0.8em;
    position: relative;
    left: 0;
    margin-bottom: -0.2rem;
    transition: 0.2s ease-out;
    cursor: text;
    color: #757575;
}
.md-select [type=button] {
    background: transparent;
    border-color: rgba(0, 0, 0, 0.12);
    border-width: 0 0 1px 0;
    color: #6c757d !important;
    cursor: pointer;
    display: block;
    line-height: 30px;
    padding: 2px 0 1px 2px;
    position: relative;
    text-align: left;
    text-shadow: none;
    width: 100%;
    z-index: 1;
    outline: none;
    overflow: hidden;
}
.md-select [type=button]:focus, .md-select [type=button]:hover {
    /*background: rgba(0,0,0,0.1);*/
}
.md-select [type=button]:after {
    /*content: '\25be';
    float: right;
    padding-right: 16px;*/
}
.md-select ul[role=listbox] {
    background-color: white;
    cursor: default;
    list-style: none;
    line-height: 26px;
    overflow: hidden;
    margin: 0;
    max-height: 0;
    position: absolute;
    padding: 0;
    transform: translateY(-50%);
    transition: all 0.15s cubic-bezier(0.35, 0, 0.25, 1);
    width: 100%;
    box-shadow: 0 1px 3px rgba(0, 0, 0, 0.12), 0 1px 2px rgba(0, 0, 0, 0.24) !important;
}
.md-select ul[role=listbox] li {
    height: 48px;
    margin: 0;
    padding: 10px 16px;
    outline: none;
    overflow: hidden;
}
.md-select ul[role=listbox] li:hover {
    background: rgba(0, 0, 0, 0.1);
    cursor: pointer;
}
.md-select.active ul {
    max-height: 200px;
    overflow: auto;
    padding: 8px 0 16px 0px;
    z-index: 2;
    transition: all 0.2s ease;
}




/*  Customisation des checkbox  */
.checkbox {
    position: relative;
    margin: 0 0.7rem 0 0;
    cursor: pointer;
}

.checkbox+label {
    cursor: pointer;
}

.checkbox:before {
    -webkit-transition: all 0.3s ease-in-out;
    -moz-transition: all 0.3s ease-in-out;
    transition: all 0.3s ease-in-out;
    content: "";
    position: absolute;
    left: 0;
    z-index: 1;
    width: 1rem;
    height: 1rem;
    border: 2px solid #ccc;
}

.checkbox:checked:before {
    -webkit-transform: rotate(-45deg);
    -moz-transform: rotate(-45deg);
    -ms-transform: rotate(-45deg);
    -o-transform: rotate(-45deg);
    transform: rotate(-45deg);
    height: .5rem;
    border-color: #0d47a1;
    border-top-style: none;
    border-right-style: none;
}

.checkbox:after {
    content: "";
    position: absolute;
    top: -0.125rem;
    left: 0;
    width: 1.1rem;
    height: 1.1rem;
    background: #fff;
    cursor: pointer;
}

.form-group .checkbox+label
{
    font-size: .9rem;
}


.form-header .md-form ::-webkit-input-placeholder, .card.card-cascade .form-inline ::-webkit-input-placeholder,
.card.card-cascade .view .form-inline ::-webkit-input-placeholder { /* WebKit, Blink, Edge */
    color:    #fff !important;
    opacity: 0.8;
}

.form-header .md-form :-moz-placeholder, .card.card-cascade .form-inline :-moz-placeholder,
.card.card-cascade .view .form-inline :-moz-placeholder { /* Mozilla Firefox 4 to 18 */
    color:    #fff !important;
    opacity: 0.8;
}

.form-header .md-form::-moz-placeholder, .card.card-cascade .form-inline ::-moz-placeholder,
.card.card-cascade .view .form-inline ::-moz-placeholder { /* Mozilla Firefox 19+ */
    color:    #fff !important;
    opacity: 0.8;
}

.form-header .md-form :-ms-input-placeholder, .card.card-cascade .form-inline :-ms-input-placeholder,
.card.card-cascade .view .form-inline :-ms-input-placeholder { /* Internet Explorer 10-11 */
    color:    #fff !important;
    opacity: 0.8;
}


.table-wrapper .table tr th .form-group {
    height: -webkit-fill-available !important;
    height: -moz-fill-available;
}

.table-wrapper .table tbody tr td .fa {
    cursor: pointer;
}